using System;
using Unit4.CollectionsLib;
using Unit4.UtilsLib;
using System.Text;

namespace ConsoleApplicationFileSystem
{
    class Program
    {
        static void Main(string[] args)
        {
            Folder homeFolder = new Folder("HomeFolder");

            homeFolder.AddFile(new File("a.txt", 200));
            homeFolder.AddFile(new File("b.gif", 134));
            homeFolder.AddFile(new File("d.exe", 1027));
            Folder sub0 = homeFolder.CreateEmptySubFolder("MyDocs");
            sub0.AddFile(new File("cv.doc", 34));
            sub0.AddFile(new File("test1.doc", 34));
            sub0.AddFile(new File("test2.doc", 34));
            sub0.AddFile(new File("email.doc", 34));
            Folder sub1 = homeFolder.CreateEmptySubFolder("Java");
            sub1.AddFile(new File("File.java", 45));
            sub1.AddFile(new File("Folder.java", 245));
            sub1.AddFile(new File("TestFileSystem.java", 90));
            Folder sub2 = sub1.CreateEmptySubFolder("Applets");
            sub1.CreateEmptySubFolder("Abcde");
            sub2.AddFile(new File("game.class", 3002));
            sub2.AddFile(new File("run.class", 930));

            Console.WriteLine(homeFolder);
            Console.WriteLine(GetFolderPath(homeFolder, "game.class"));
            Console.ReadLine();
            
        }
        public static String GetFolderPath(Folder homeFolder, String fileName)
        {
            bool res = false;

            String path = homeFolder.GetName();

            Folder[] subFolders = homeFolder.GetAllSubFolders();
            for (int i = 0; i < subFolders.Length; i++)
            {
                path = homeFolder.GetName() + GetFolderPath(subFolders[i], fileName);
            }

            File[] files = homeFolder.GetAllFiles();
            for (int i = 0; i < files.Length; i++)
                if (fileName.CompareTo(files[i].GetName()) == 0)
                    res = true;

            if (res)
                return path;
            return (path);
        }

        public static long GrtFolderSize()
        {
            return 0;
        }

        public static String GetRecursiveView()
        {
            return "";
        }
        public static bool FileExists(String fileName)
        {
            return true;
        }

    }
}
